Skip to main content
The “Update Redirect By Id” API Allows updating an existing URL redirect in the system. Use this endpoint to modify a URL redirect with the specified ID using details provided in the request payload.
PATCH https://services.leadconnectorhq.com/funnels/lookup/redirect/{id}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

id
string
required

Body

target
string
default:"https://www.google.com"
required
action
string
default:"URL"
required
Posibles valores: ‘funnel’, ‘website’, ‘url’, ‘all’
locationId
string
default:"6p2RxpgtMKQwO3E6IUaT"
required

Respuestas

data
object
required
Data containing details of the updated redirect
{}
{}

Ejemplo

curl -X PATCH 'https://services.leadconnectorhq.com/funnels/lookup/redirect/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "target": "https://www.google.com",
  "action": "URL",
  "locationId": "6p2RxpgtMKQwO3E6IUaT"
}'
const response = await fetch('https://services.leadconnectorhq.com/funnels/lookup/redirect/YOUR_id', {
  method: 'PATCH',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"target": "https://www.google.com", "action": "URL", "locationId": "6p2RxpgtMKQwO3E6IUaT"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PATCH',
    'https://services.leadconnectorhq.com/funnels/lookup/redirect/YOUR_id',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"target": "https://www.google.com", "action": "URL", "locationId": "6p2RxpgtMKQwO3E6IUaT"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/funnels/lookup/redirect/YOUR_id');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PATCH',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'target': 'https://www.google.com', 'action': 'URL', 'locationId': '6p2RxpgtMKQwO3E6IUaT'}),
]);
$data = json_decode(curl_exec($ch), true);